Bug 21956 - Sysprefs not reset by regressions.t
Summary: Sysprefs not reset by regressions.t
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on: 21775
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-05 19:23 UTC by Jonathan Druart
Modified: 2018-12-20 09:54 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21956: (bug 21775 follow-up) Use set_preference to reset the value (1.10 KB, patch)
2018-12-05 19:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21956: (bug 21775 follow-up) Use set_preference to reset the value (1.16 KB, patch)
2018-12-18 11:50 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-12-05 19:23:22 UTC
Typo in regressions.t:

    C4::Context->preference('SearchEngine', $SearchEngine_value);
    C4::Context->preference('AudioAlerts', $AudioAlerts_value);

must be set_preference
Comment 1 Jonathan Druart 2018-12-05 19:24:49 UTC
Created attachment 82889 [details] [review]
Bug 21956: (bug 21775 follow-up) Use set_preference to reset the value

Test plan:
Set AudioAlerts to 0
Prove t/db_dependent/selenium/regressions.t
=> Without this patch the value of the pref is not reset to 0
Comment 2 Jonathan Druart 2018-12-12 19:47:21 UTC
Skipping SO
Comment 3 Martin Renvoize 2018-12-18 11:50:33 UTC
Created attachment 83344 [details] [review]
Bug 21956: (bug 21775 follow-up) Use set_preference to reset the value

Test plan:
Set AudioAlerts to 0
Prove t/db_dependent/selenium/regressions.t
=> Without this patch the value of the pref is not reset to 0

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2018-12-18 11:51:01 UTC
Simple fix, no typos found.. passes test plan..

Passing QA
Comment 5 Nick Clemens 2018-12-20 00:55:59 UTC
Awesome work all!

Pushed ot master for 19.05
Comment 6 Martin Renvoize 2018-12-20 09:54:05 UTC
Pushed to 18.11.x for 18.11.01